Bug 17684 - включить hal по-умолчанию в pulseaudio
: включить hal по-умолчанию в pulseaudio
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pulseaudio)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 17727
  Show dependency tree
 
Reported: 2008-10-26 19:19 by
Modified: 2008-12-12 22:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-26 19:19:43
Просьба откатить патч меняющий поведение pulseaudio в плане работы с звуковыми
устройствами. а именно вот этот:
$ cat default.pa.in.diff 
diff -urN pulseaudio-0.9.13.orig/src/daemon/default.pa.in
pulseaudio-0.9.13/src/daemon/default.pa.in
--- pulseaudio-0.9.13.orig/src/daemon/default.pa.in     2008-10-01 02:22:47
+0300
+++ pulseaudio-0.9.13/src/daemon/default.pa.in  2008-10-06 15:35:39 +0300
@@ -32,21 +32,21 @@
 ### Load audio drivers statically (it's probably better to not load
 ### these drivers manually, but instead use module-hal-detect --
 ### see below -- for doing this automatically)
-#load-module module-alsa-sink
-#load-module module-alsa-source device=hw:1,0
+load-module module-alsa-sink device=default
+load-module module-alsa-source device=default
 #load-module module-oss device="/dev/dsp" sink_name=output source_name=input
 #load-module module-oss-mmap device="/dev/dsp" sink_name=output
source_name=input
 #load-module module-null-sink
 #load-module module-pipe-sink

 ### Automatically load driver modules depending on the hardware available
-.ifexists module-hal-detect@PA_SOEXT@
-load-module module-hal-detect
-.else
+#.ifexists module-hal-detect@PA_SOEXT@
+#load-module module-hal-detect
+#.else
 ### Alternatively use the static hardware detection module (for systems that
 ### lack HAL support)
-load-module module-detect
-.endif
+#load-module module-detect
+#.endif

 ### Automatically load driver modules for Bluetooth hardware
 #.ifexists module-bluetooth-discover@PA_SOEXT@
$ 

Из-за этого не работают звуковые карты которые usb. А так же, по этой причине,
не должны работать все остальные звуковый карты кроме первой. Таким образом
патченный pulseaudio есть только в альте.
------- Comment #1 From 2008-10-26 19:35:53 -------
при включенном hal pulseaudio садится непосредственно и монопольно
на железо, так что программы, не умеющие pulse, остаются без звука.
Поскольку до сих пор таких программ достаточно (напр. wine),
это патч убран не будет.
С другой стороны, всякий желающий волен поправить системный
default.pa или написать свой.
------- Comment #2 From 2008-10-26 19:50:18 -------
(In reply to comment #1)
> при включенном hal pulseaudio садится непосредственно и монопольно
> на железо, так что программы, не умеющие pulse, остаются без звука.
> Поскольку до сих пор таких программ достаточно (напр. wine),
> это патч убран не будет.

[icesik@iceberg wine-1.1.7]$ ./configure --help | grep -i pulse
[icesik@iceberg wine-1.1.7]$ ./configure --help | grep -i esd
  --without-esd           do not use the EsounD sound support
[icesik@iceberg wine-1.1.7]$ ./configure --help | grep -i alsa
  --without-alsa          do not use the Alsa sound support
[icesik@iceberg wine-1.1.7]$ 

В wine есть поддержка esd. Этого достаточно.

> С другой стороны, всякий желающий волен поправить системный
> default.pa или написать свой.

Это не спортивно.

Есть ещё приложения которые не умеют pulse (или esd)?
------- Comment #3 From 2008-10-26 20:25:45 -------
видишь ли, я не только посмотрел в ключи configure wine, но и попробовал
этим воспользоваться -- неуспешно.
так что, когда ситуация с поддержкой pulse вокруг изменится -- изменятся
и дефолты, но не раньше.
в общем, ничего такого, чего бы я не знал, ты мне не сообщил, а
практические выводы из этих фактов я уже сделал.
------- Comment #4 From 2008-10-27 22:32:13 -------
(In reply to comment #3)
> видишь ли, я не только посмотрел в ключи configure wine, но и попробовал
> этим воспользоваться -- неуспешно.
> так что, когда ситуация с поддержкой pulse вокруг изменится -- изменятся
> и дефолты, но не раньше.

Я всё равно не понимаю каким образом проблемы wine касаются pulseaudio. То что
в wine всё плохо это проблема wine. И вообще, для wine уже есть поддержка
pulseaudio. Просто надо знать где взять патч.

> в общем, ничего такого, чего бы я не знал, ты мне не сообщил, а
> практические выводы из этих фактов я уже сделал.

Из всего этого я тоже могу сделать вывод что ты не в теме разговора
относительно pulseaudio.
------- Comment #5 From 2008-10-31 16:03:11 -------
Переоткроем как FR
------- Comment #6 From 2008-10-31 16:04:14 -------
Серьезность -> enhancement
------- Comment #7 From 2008-12-12 17:49:36 -------
fixed in pulseaudio-0.9.13-alt3
------- Comment #8 From 2008-12-12 22:16:19 -------
(In reply to comment #2)
> В wine есть поддержка esd. Этого достаточно.
Все-все-все остальные умеют?

Игорёк, помогает перечитывать свои комментарии и письма, особенно если пишешь
быстро и сердито.  Проверено на себе :-)